Skip to main content

Update an existing CallingRuleActionTemplate that can be used when creating calling rules in queing profiles

PUT 

/qsystem/rest/config/operationProfiles/workProfiles/callingRuleActionTemplates/:callingRuleActionTemplateId

Update an existing CallingRuleActionTemplate that can be used when creating calling rules in queing profiles

curl -u user:password -i -X PUT -H 'content-type:application/json'
-d '{{"id": 55,"description": "Call by updated custom rule","command": "order bye $callOrder.defined","actionClass": "com.qmatic.qp.jiql.core.cfm.callingRules.CustomRuleExecutor"}'
http://orchestra-host:orchestra-port/qsystem/rest/config/operationProfiles/workProfiles/callingRuleActionTemplates/55

Request​

Responses​

The RuleConditionTemplate that has been created